NCTOH5(1)

NAME
nctoh5 - Convert a NetCDF file into a PyTables (HDF5 format) file

SYNOPSIS
nctoh5 -h -v -o --complevel=(0-9) --complib=lib --shuffle=(0|1) --fletcher32=(0|1) --unpackshort=(0|1) --quantize=(0|1) netcdffilename hdf5filename

DESCRIPTION
Convert a generic NetCDF file into a PyTables (HDF5 format) file

OPTIONS
A summary of options is included below.

-h  Prints a help text.

-v  Show more information.

-o  Overwrite destination file.

--complevel=(0-9)
    Sets a compression level (0 for no compression, which is the default).

--complib=lib
    Sets the compression library to be used during the copy. lib can be set to "zlib", "lzo" or "ucl". Defaults to "zlib".

--shuffle=(0|1)
    Activate or not the shuffling filter (default is active if complevel>0).

--fletcher32=(0|1)
    Whether activate or not the fletcher32 filter (not active by default).

--unpackshort=(0|1)
    Unpack short integer variables to float variables using scale_factor and add_offset netCDF variable attributes (not active by default).

--quantize=(0|1)
    Quantize data to improve compression using least_significant_digit netCDF variable attribute (not active by default). See
    http://www.cdc.noaa.gov/cdc/conventions/cdc_netcdf_standard.shtml
    for further explanation of what this attribute means.

SEE ALSO
ptdump(1),ptrepack(1).
These utilities are documented fully by PyTables user's manual.

AUTHOR
This manual page was written by Francesc Altet <faltet@carabos.com>.